## goom2k1 goom2k1 |

## Types and Values

struct | GstGoom2k1

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioVisualizer
                        ╰── GstGoom2k1

## Description

Goom2k1 is an audio visualisation element. It creates warping structures based on the incomming audio signal. Goom2k1 is the older version of the visualisation. Also available is goom2k4, with a different look.

### Example launch line

    1
    gst-launch-1.0 -v audiotestsrc ! goom2k1 ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | goom2k1
author | Wim Taymans <wim@fluendo.com>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 8000, 96000 ], channels=(int)1, layout=(string)interleaved
| audio/x-raw, format=(string)S16LE, rate=(int)[ 8000, 96000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGoom2k1

    struct GstGoom2k1;

## See Also

goom, synaesthesia